Bug 1711544 - Enable back 'build with long names test'
Summary: Enable back 'build with long names test'
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Node
Version: 4.2.0
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: ---
: 4.3.0
Assignee: Ryan Phillips
QA Contact: Weinan Liu
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-05-18 13:09 UTC by Maciej Szulik
Modified: 2020-01-23 11:03 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Release Note
Doc Text:
Cause: Upstream changes were made to the long path names test. Consequence: Pods with names longer than 255 characters will silently fail to log. Fix: The long names test was removed. Result: Pods with names longer than 255 characters will log as expected.
Clone Of:
Environment:
Last Closed: 2020-01-23 11:03:45 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift origin pull 23472 None closed Bug 1711544: remove the long names test 2020-03-20 01:18:41 UTC
Red Hat Product Errata RHBA-2020:0062 None None None 2020-01-23 11:03:57 UTC

Description Maciej Szulik 2019-05-18 13:09:42 UTC
In https://github.com/openshift/origin/pull/22833/commits/03857402a4cd7645661ddc6a426586ce2645fb1d we disabled build with long names test due to changes in upstream. Particularly https://github.com/kubernetes/kubernetes/pull/74441 changed how directories are created for logs for pods. Current scheme has issues on majority of FS, see my comment there. We need to fix this and re-enable the test. I'd suggest adding similar test with max pod name upstream.

Comment 1 Ryan Phillips 2019-05-21 19:05:36 UTC
Upstream PR: https://github.com/kubernetes/kubernetes/pull/78188

Comment 3 Seth Jennings 2019-07-11 15:18:46 UTC
Upstream issue to determine next steps.  Test will remain disabled for 4.2.
https://github.com/kubernetes/kubernetes/issues/80042

Comment 4 Ryan Phillips 2019-07-24 18:40:29 UTC
PR to remove the test from the tree: https://github.com/openshift/origin/pull/23472

Comment 6 Weinan Liu 2019-10-09 03:11:25 UTC
Long name test removed 
https://github.com/openshift/origin/pull/23472/files

Comment 8 errata-xmlrpc 2020-01-23 11:03:45 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0062


Note You need to log in before you can comment on or make changes to this bug.